I2O_SCSI_QUEUECOMMAN(9)

NAME
i2o_scsi_queuecommand_lck - queue a SCSI command

SYNOPSIS

int i2o_scsi_queuecommand_lck(struct scsi_cmnd * SCpnt, void (*done) (struct scsi_cmnd *));

ARGUMENTS

SCpnt
    scsi command pointer

done
    callback for completion

DESCRIPTION

Issue a scsi command asynchronously. Return 0 on success or 1 if we hit an error (normally message queue congestion). The only minor complication here is that I2O deals with the device addressing so we have to map the bus/dev/lun back to an I2O handle as well as faking absent devices ourself.

LOCKS

takes the controller lock on error path only

COPYRIGHT